<ul>
  <li>
    Navigation:
    <ul>
      <li>from HTML with href (reload): <a href="/">home</a></li>
      <li>from HTML with routerLink (no reload): <a routerLink="/page1">page1</a></li>
      <li>from TS (no reload): <button (click)="onNavigateTo('/page2/andre')">page2 with param "andre"</button><button (click)="onNavigateTo('/page2/lucie')">page2 with param "lucie"</button></li>
    </ul>
  </li>
  <li>
    Router outlet:
    <div>
      <router-outlet></router-outlet>
    </div>
</ul>


